{
  "compilerOptions": {
    "target": "esnext",
    "module": "esnext",
    "strict": false,
    "jsx": "preserve",
    "importHelpers": true,
    "moduleResolution": "node",
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "experimentalDecorators":true,
    "sourceMap": true,
    "skipLibCheck": true,
    "baseUrl": ".",
    // 在使用typescript的时候，在vue或react、node中报以上错误，是JSX 元素隐式具有类型 "any"，因为不存在全局类型 "JSX.Element"
    "suppressImplicitAnyIndexErrors": true,
    "noImplicitAny": false, // 是否在表达式和声明上有隐含的any类型时报错
    "types": [
      "webpack-env",
      "@dcloudio/types",
      "miniprogram-api-typings",
      "mini-types",
      "@types/html5plus"
    ],
    "paths": {
      "@/*": [
        "./src/*"
      ]
    },
    "lib": [
      "esnext",
      "dom",
      "dom.iterable",
      "scripthost"
    ]
  },
  "exclude": [
    "node_modules",
    "unpackage",
    "src/**/*.nvue"
  ]
}
